<form class="mat-card mat-elevation-z4 p-24 mr-24" fxLayout="column" fxLayoutAlign="start"
fxFlex="1 0 auto" name="form" [formGroup]="form" (ngSubmit)="onSubmit()">



<div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

    <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
        <mat-label>Topic Name</mat-label>
        <input matInput formControlName="topic"  required>
        <mat-icon matSuffix class="secondary-text">subject</mat-icon>
        <mat-error>Topic name is required!</mat-error>
    </mat-form-field>
    
    </div>
<div fxLayout="row" fxLayoutAlign="center center">
<button mat-raised-button type="submit" color="accent" [disabled]="!form.valid">
    Save
</button> &nbsp;&nbsp;&nbsp;
<a mat-raised-button color="red" (click)="onNoClick()">
    Cancel
</a>
</div>

</form>